package ping

import (
	omd "git.loafle.net/overflow/model/discovery"
	ounp "git.loafle.net/overflow/util-go/net/ping"
	"git.loafle.net/overflow_scanner/probe/ping/host"
	"git.loafle.net/overflow_scanner/probe/ping/service"
)

func PingHost(_host *omd.Host, pingOption ounp.Option) (ounp.Result, error) {
	return host.Ping(_host, pingOption)
}

func PingService(_service *omd.Service, pingOption *ounp.PingOption) (ounp.Result, error) {
	return service.Ping(_service, pingOption)
}
